# List

Launch stage: Beta

`GET /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags`

List the tag assignments for an entity

API scopes: tags

## Path parameters

- `entity_type` (string, optional)
  The type of entity to which the tag is assigned. Allowed values are apps, dashboards, geniespaces, notebooks
  Example: `dashboards`
- `entity_id` (string, optional)
  The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name
  Example: `2807324866692453`

## Query parameters

- `page_size` (int32, optional)
  Optional. Maximum number of tag assignments to return in a single page
- `page_token` (string, optional)
  Pagination token to go to the next page of tag assignments. Requests first page if absent.

## Returns

Returns a list of TagAssignment objects.

## Response

```json
{
  "next_page_token": "eyJsYXN0X2V2YWx1YXRlZF9rZXkiOiAiT3duZXIifQ==",
  "tag_assignments": [
    {
      "entity_id": "2807324866692453",
      "entity_type": "dashboards",
      "tag_key": "sensitivity_level",
      "tag_value": "high"
    },
    {
      "entity_id": "2807324866692453",
      "entity_type": "dashboards",
      "tag_key": "environment",
      "tag_value": "production"
    },
    {
      "entity_id": "2807324866692453",
      "entity_type": "dashboards",
      "tag_key": "owner"
    }
  ]
}
```

